org.crosswire.jsword.index.search

## Class DefaultSearchRequest

- java.lang.Object
- - org.crosswire.jsword.index.search.DefaultSearchRequest

- All Implemented Interfaces:
    Serializable, SearchRequest

      public class DefaultSearchRequest
      extends Object
      implements SearchRequest

  A default implementation of a SearchRequest.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SearchModifier` | `modifier` How the search is to be modified
    `private String` | `request` The actual search request
    `private static long` | `serialVersionUID` Serialization ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSearchRequest(String theRequest)` Create a DefaultSearchRequest for the provided request.
    `DefaultSearchRequest(String theRequest, SearchModifier theModifier)` Create a DefaultSearchRequest for the provided request and the provided modifiers.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRequest()`
    `SearchModifier` | `getSearchModifier()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### request

          private String request

      The actual search request

    - #### modifier

          private SearchModifier modifier

      How the search is to be modified

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultSearchRequest

          public DefaultSearchRequest(String theRequest,
                              SearchModifier theModifier)

      Create a DefaultSearchRequest for the provided request and the provided modifiers.
      Parameters:
        `theRequest` - what is being searched
        `theModifier` - how the search is to be modified

    - #### DefaultSearchRequest

          public DefaultSearchRequest(String theRequest)

      Create a DefaultSearchRequest for the provided request.
      Parameters:
        `theRequest` - what is being searched

  - ### Method Detail

    - #### getSearchModifier

          public SearchModifier getSearchModifier()

      Specified by:
        `getSearchModifier` in interface `SearchRequest`
      Returns:
        the modifications to this SearchRequest

    - #### getRequest

          public String getRequest()

      Specified by:
        `getRequest` in interface `SearchRequest`
      Returns:
        the request that is being operated upon